Page MenuHomePhabricator

Editor overlay should have close icon on first screen
Closed, ResolvedPublic2 Estimated Story Points

Description

The editor uses a back button (<-) to close the overlay.
This is inconsistent from the talk, categoryand the search overlay which use a close button (X)
The arrow icon should only show on overlay screens that close.

Decision

  • We will keep the X button for initial headers
  • We will use the back button for any immediate steps where clicking the icon will not close the overlay

Acceptance critera

  • When I click the edit icon the overlay has a close button in the top left and clicking it closes the overlay
  • When I click preview a back arrow icon shows in the top left and clicking it takes me back to the previous pane
  • On the save screen a close icon shows in the top left (as clicking it closes the overlay)

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:50 AM
bzimport set Reference to bz71203.

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/VdKb5Ris

gerritadmin wrote:

Change 162644 had a related patch set uploaded by Florianschmidtwelzow:
Use back button to leave Overlay on all Overlays

https://gerrit.wikimedia.org/r/162644

gerritadmin wrote:

Change 162644 abandoned by Florianschmidtwelzow:
Use back button to leave Overlay on all Overlays

Reason:
see Ie69635f8b2638354baefb4dda0421c1b9e823050

https://gerrit.wikimedia.org/r/162644

We need a designer to chip in before we consolidate this. It's not clear which is the right icon to use for close. It may be back but let's resolve this later.

The description leads me to believe that Kaity favors using the back arrow when content creation/editing is involved. Currently that is the case for the editing interface and both the interfaces for adding content to talk. The search and initial talk interfaces don't involve content creation/editing, so the 'x' is appropriate.

I suggest closing as invalid.

Any thoughts on this @MSyed @KHammerstein?

Since Design hasn't still responded, I suggest we keep the X button for the initial header and keep using the back button for the following steps in the edit process. If I'm not mistaken, all other overlays use X for closing the overlay.

Jhernandez edited projects, added MobileFrontend, Design; removed Readers-Web-Backlog.

Since Design hasn't still responded, I suggest we keep the X button for the initial header and keep using the back button for the following steps in the edit process. If I'm not mistaken, all other overlays use X for closing the overlay.

Agreed. the first step should have cross and following steps should have back.

Not clear what to do here so not triaged but future.

Jdlrobson renamed this task from Inconsistency: Editor uses back icon for closing overlay, talk uses X to Editor overlay should have close icon on first screen.Jun 23 2017, 9:26 PM
Jdlrobson raised the priority of this task from Low to Medium.
Jdlrobson edited projects, added Design (RW-Design-Debt), good first task; removed Design.
Jdlrobson updated the task description. (Show Details)
Restricted Application added a subscriber: TerraCodes. · View Herald Transcript
Jdlrobson set the point value for this task to 2.Jun 27 2017, 4:58 PM

Change 363732 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/extensions/MobileFrontend@master] Show correct icon in EditorOverlay

https://gerrit.wikimedia.org/r/363732

Change 363732 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Show correct icon in EditorOverlay

https://gerrit.wikimedia.org/r/363732

You can sign this off on the beta cluster now.